Skip to main content

Namespace

createNamespace

V1Namespace createNamespace(body)

create a Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiCreateNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiCreateNamespaceRequest = {
body: { apiVersion: "v1", kind: "Namespace", metadata: { name: "example" } }, // See full type: /models/core#v1namespace,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.createNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Namespace
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Namespace

readNamespace

V1Namespace readNamespace()

read the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespaceRequest = {
// name of the Namespace
name: "name_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Namespace

listNamespace

V1NamespaceList listNamespace()

list or watch objects of kind Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiListNamespaceRequest = {
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// ...8 more optional parameter(s)
};

const data = await apiInstance.listNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
allowWatchBookmarks[boolean]allowWatchBookmarks requests watch events with type "BOOKMARK". More info(optional) defaults to undefined
_continue[string]The continue option should be set when retrieving more results from the server. More info(optional) defaults to undefined
fieldSelector[string]A selector to restrict the list of returned objects by their fields. Defaults to everything. More info(optional) defaults to undefined
labelSelector[string]A selector to restrict the list of returned objects by their labels. Defaults to everything. More info(optional) defaults to undefined
limit[number]limit is a maximum number of responses to return for a list call. More info(optional) defaults to undefined
resourceVersion[string]resourceVersion sets a constraint on what resource versions a request may be served from. More info(optional) defaults to undefined
resourceVersionMatch[string]resourceVersionMatch determines how resourceVersion is applied to list calls. More info(optional) defaults to undefined
sendInitialEvents[boolean]sendInitialEvents=true may be set together with watch=true. More info(optional) defaults to undefined
timeoutSeconds[number]Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info(optional) defaults to undefined
watch[boolean]Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info(optional) defaults to undefined

Return type

V1NamespaceList

readNamespaceStatus

V1Namespace readNamespaceStatus()

read status of the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespaceStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespaceStatusRequest = {
// name of the Namespace
name: "name_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespaceStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Namespace

patchNamespace

V1Namespace patchNamespace(body)

partially update the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespaceRequest = {
// name of the Namespace
name: "name_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Namespace

patchNamespaceStatus

V1Namespace patchNamespaceStatus(body)

partially update status of the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespaceStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespaceStatusRequest = {
// name of the Namespace
name: "name_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespaceStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Namespace

replaceNamespace

V1Namespace replaceNamespace(body)

replace the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespaceRequest = {
// name of the Namespace
name: "name_example",
body: { apiVersion: "v1", kind: "Namespace", metadata: { name: "example" } }, // See full type: /models/core#v1namespace,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Namespace
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Namespace

deleteNamespace

V1Status deleteNamespace()

delete a Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiDeleteNamespaceRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiDeleteNamespaceRequest = {
// name of the Namespace
name: "name_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. (optional)
gracePeriodSeconds: 1,
body: { /* See V1DeleteOptions: /models/other#v1deleteoptions */ },
// ...3 more optional parameter(s)
};

const data = await apiInstance.deleteNamespace(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1DeleteOptions
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
gracePeriodSeconds[number]The duration in seconds before the object should be deleted. More info(optional) defaults to undefined
ignoreStoreReadErrorWithClusterBreakingPotential[boolean]if set to true, it will trigger an unsafe deletion of the resource in case the normal deletion flow fails with a corrupt object error. More info(optional) defaults to undefined
orphanDependents[boolean]Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. More info(optional) defaults to undefined
propagationPolicy[string]Whether and how garbage collection will be performed. More info(optional) defaults to undefined

Return type

V1Status

replaceNamespaceFinalize

V1Namespace replaceNamespaceFinalize(body)

replace finalize of the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespaceFinalizeRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespaceFinalizeRequest = {
// name of the Namespace
name: "name_example",
body: { apiVersion: "v1", kind: "Namespace", metadata: { name: "example" } }, // See full type: /models/core#v1namespace,
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered. (optional)
fieldValidation: "fieldValidation_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespaceFinalize(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Namespace
name[string]name of the Namespacedefaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Namespace

replaceNamespaceStatus

V1Namespace replaceNamespaceStatus(body)

replace status of the specified Namespace

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespaceStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespaceStatusRequest = {
// name of the Namespace
name: "name_example",
body: { apiVersion: "v1", kind: "Namespace", metadata: { name: "example" } }, // See full type: /models/core#v1namespace,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespaceStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Namespace
name[string]name of the Namespacedefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Namespace